[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# MaxKeptOSChunks

Maximum number of OS chunks to be kept in memory

## Declaration

Source position: heaph.inc line 60

`const MaxKeptOSChunks: DWord = 4;`

## Description

MaxKeptOSChunks tells the heap manager how many free chunks of OS-allocated memory it should keep in memory. When freeing memory, it can happen that a memory block obtained from the OS is completely free. If more than MaxKeptOSChunks such blocks are free, then the heap manager will return them to the OS, to reduce memory requirements.

## See also

FreeMem |  | Release allocated memory